linux: 3.8.0-10.19 -proposed tracker

Bug #1144449 reported by Tim Gardner on 2013-03-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel Development Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Prepare-package
Medium
Tim Gardner
Prepare-package-meta
Medium
Tim Gardner
Prepare-package-signed
Medium
Tim Gardner
Promote-to-release
Medium
Ubuntu Archive Auto-Sync
linux (Ubuntu)
Medium
Unassigned
Raring
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-10.19 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-Prepare-package-start:Monday, 04. March 2013 14:07 UTC
kernel-Package-testing-start:Tuesday, 05. March 2013 10:00 UTC
kernel-Prepare-package-end:Tuesday, 05. March 2013 10:00 UTC
kernel-Promote-to-release-end:Tuesday, 05. March 2013 12:00 UTC
kernel-phase:Released
kernel-phase-changed:Tuesday, 05. March 2013 13:01 UTC

Related branches

Tim Gardner (timg-tpi) on 2013-03-04
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → Invalid
tags: added: raring
Changed in kernel-development-workflow:
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu):
importance: Undecided → Medium

All builds are complete, packages in this bug are available in -proposed.

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-10.19

---------------
linux (3.8.0-10.19) raring; urgency=low

  [ Andy Whitcroft ]

  * [Config] annotate CONFIG_PATA_ACPI

  [ Tim Gardner ]

  * rebase to v3.8.2

  [ Upstream Kernel Changes ]

  * NFC: Fixed nfc core and hci unregistration and cleanup
    - LP: #1083994
  * NFC: Added error handling in event_received hci ops
    - LP: #1083994
  * NFC: Changed event_received hci ops result semantic
    - LP: #1083994
  * NFC: Fixed skb leak in tm_send() nfc and hci ops implementations
    - LP: #1083994
  * NFC: Add HCI quirks to support driver (non)standard implementations
    - LP: #1083994
  * USB: Don't use EHCI port sempahore for USB 3.0 hubs.
    - LP: #1011415
  * USB: Prepare for refactoring by adding extra udev checks.
    - LP: #1011415
  * USB: Rip out recursive call on warm port reset.
    - LP: #1011415
  * USB: Fix connected device switch to Inactive state.
    - LP: #1011415
  * USB: Use helper function hub_set_port_link_state
    - LP: #1011415
  * USB: Refactor hub_port_wait_reset.
    - LP: #1011415
  * usb/core: consider link speed while looking at bMaxPower
    - LP: #1011415
  * usb/core: update power budget for SuperSpeed
    - LP: #1011415
  * usb: Add driver/usb/core/(port.c,hub.h) files
    - LP: #1011415
  * usb: fix compilation error and warning of driver/usb/core/port.c on arm
    and blackfin
    - LP: #1011415
  * usb: Add "portX/connect_type" attribute to expose usb port's connect
    type
    - LP: #1011415
  * usb: Create link files between child device and usb port device.
    - LP: #1011415
  * USB: Set usb port's DeviceRemovable according acpi information
    - LP: #1011415
  * USB: fix sign-extension bug in the hub driver
    - LP: #1011415
  * usb: add runtime pm support for usb port device
    - LP: #1011415
  * usb: add usb port auto power off mechanism
    - LP: #1011415
  * usb: expose usb port's pm qos flags to user space
    - LP: #1011415
  * usb: enable usb port device's async suspend.
    - LP: #1011415
  * drm: add prime helpers
    - LP: #1138440
  * drm/nouveau: use prime helpers
    - LP: #1138440
  * drm/radeon: use prime helpers
    - LP: #1138440

  [ Upstream Kernel Changes ]

  * rebase to v3.8.2
    - LP: #961286

  [Tim Gardner]

  * Release Tracking Bug
    - LP: #1144449
 -- Tim Gardner <email address hidden> Fri, 01 Mar 2013 07:10:07 -0700

Changed in linux (Ubuntu Raring):
status: Invalid → Fix Released
Brad Figg (brad-figg) on 2013-03-05
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-development-workflow:
status: In Progress → Fix Released
description: updated
Andrew Gunnerson (cxl) wrote :

With this release, my laptop (Lenovo W520) no longer boots. The system gets stuck in the initramfs stage, but does not hang (ie. caps lock light works, Ctrl + Alt + Delete restarts, etc).

Andrew Gunnerson (cxl) wrote :

If I extract initrd.img-3.8.0-9-generic and initrd.img-3.8.0-10-generic and "diff -Nru" them, there's is no difference (other than the newer kernel modules, obviously).

I'm not sure what could be the problem. In the changelog, I see many USB bug fixes and also some bug fixes for PRIME. I'm not booting with any USB devices connected and my BIOS is set to use the Intel graphics only, no Optimus.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers